# Created by pyp2rpm-1.1.1
%global pypi_name gitshelf

Name:           python-%{pypi_name}
Version:        0.0.4
Release:        1%{?dist}
Summary:        Manage a shelf full of git repos

License:        ASL %(TODO: version)s
URL:            https://github.com/gitshelf/gitshelf
Source0:        https://pypi.python.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools


%description
# gitshelf - a shelf full of git repos

Manage a collection of git repos that
you don't want to manage as sub-modules

Created to be used to manage a set of
salt states, formula & pillars in a controlled fashion, the default config file
is a YAML file that can also be loaded as a pillar (for whatever reason).
Using
the branch parameter, you can pin a repo to a branch, sha1, tag, whatever you
need ...


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}



%files
%doc README.md
%{_bindir gitshelf}/
%{python2_sitelib}/ 
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sun Oct 26 2014 root - 0.0.4-1
- Initial package.

